# 今日作业要求

## 1.通配符和特殊符号篇

- 整理所学通配符、特殊符号的符号表格
- 有哪些符号、以及作用
- 符号的具体用法



## 2.正则表达式篇

- 预习正则表达式，记录
- 正则符号、符号作用参照表



# 今日练习题

## 1.笔记作业

1.参考老师提供的脑图大纲，做好自己的脑图笔记，包括

- 符号有哪些
- 符号的作用
- 符号的用法

- 今天先整理通配符、特殊符号
- 预习正则表达式符号，明天讲解该知识点





## 提示，unix风格的通配符表

| 符号        | 作用             |
| ----------- | ---------------- |
| [[:upper:]] | 所有大写字母     |
| [[:lower:]] | 所有小写字母     |
| [[:alpha:]] | 所有字母         |
| [[:digit:]] | 所有数字         |
| [[:alnum:]] | 所有的字母和数字 |
| [[:space:]] | 所有的空白字符   |
| [[:punct:]] | 所有标点符号     |

## 2.通配符练习题

> 如下题目，可以用尽可能多的办法，去解决
>
> 至少2种
>
> 提示，可以从通配符语法角度找，如linux风格、unix风格



1.找出/var下以字母s开头、任意小写字母结尾，中间至少出现一位数字的文件

```
```

2.找出/etc/下以任意数字开头，且非数字结尾的文件

```
```

3.找出/etc/下任意非字母开头的文件

```
```

4.找出/etc/下任意非字母开头的文件，且后面紧跟一个数字，以及任意内容的文件

```
```

5.找出/etc/下所有以rc字母开头，且后面是0-6之间的数字，其他字符是任意内容的文件或目录。

```
```

6.找到/etc/下所有以 `.d` 结尾的文件或目录

```
```

7.找出/etc下所有以`.conf`结尾的文件

```
```

8.找出/etc下所有以`.conf`结尾的文件，并且要求文件开头是a,b,p字符之一。

```
```

9.显示出/root下所有的隐藏文件和目录

```
```

10.显示出/root下所有的非隐藏文件和目录

```
```

11.使用通配符创建如下文件、目录结构

要求两条命令

- 创建文件夹
- 创建文件

```
[242-yuchao-class01 root ~]#tree -NF /testdir
/testdir
├── 70年代歌曲/
│   ├── 女歌手/
│   └── 男歌手/
│       ├── 刘德华.mp4
│       └── 黎明.mp4
└── 90年代歌曲/
    ├── 女歌手/
    └── 男歌手/
        ├── 周杰伦.mp4
        └── 陈奕迅.mp4
```

12.备份网卡配置文件为.ori后缀。

```
```

13.备份/var/log/nginx日志文件，以当前年月日命名，如`access_2022-04-11.log`

- 日志基本是一天一切割
- 要求2个写法

```

```











